# This is a BitKeeper generated patch for the following project:
# Project Name: Linux kernel tree
# This patch format is intended for GNU patch command version 2.5 or higher.
# This patch includes the following deltas:
#	           ChangeSet	1.757.13.2 -> 1.757.13.3
#	drivers/char/agp/agpgart_be.c	1.41.1.2 -> 1.41.1.3
#
# The following is the BitKeeper ChangeSet Log
# --------------------------------------------
# 02/10/29	bjorn_helgaas@hp.com	1.757.13.3
# Fix serverworks_agp_enable() merge botch.  (Old code not removed
# when pci_find_capability() introduced.)
# --------------------------------------------
#
diff -Nru a/drivers/char/agp/agpgart_be.c b/drivers/char/agp/agpgart_be.c
--- a/drivers/char/agp/agpgart_be.c	Wed Oct  8 09:08:01 2003
+++ b/drivers/char/agp/agpgart_be.c	Wed Oct  8 09:08:01 2003
@@ -4514,16 +4514,6 @@
 	pci_for_each_dev(device) {
 		cap_ptr = pci_find_capability(device, PCI_CAP_ID_AGP);
 		if (cap_ptr != 0x00) {
-			do {
-				pci_read_config_dword(device,
-						      cap_ptr, &cap_id);
-
-				if ((cap_id & 0xff) != 0x02)
-					cap_ptr = (cap_id >> 8) & 0xff;
-			}
-			while (((cap_id & 0xff) != 0x02) && (cap_ptr != 0x00));
-		}
-		if (cap_ptr != 0x00) {
 			/*
 			 * Ok, here we have a AGP device. Disable impossible 
 			 * settings, and adjust the readqueue to the minimum.
